Debian Bug report logs - #519006
mips/ld: non-dynamic relocations refer to dynamic symbol

version graph

Package: binutils; Maintainer for binutils is Matthias Klose <doko@debian.org>; Source for binutils is src:binutils.

Reported by: Peter De Schrijver <p2@debian.org>

Date: Mon, 9 Mar 2009 20:45:01 UTC

Severity: serious

Tags: patch, sid, squeeze

Merged with 599974

Fixed in versions binutils/2.20.1-15, binutils/2.20.51.20100925-1

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://sourceware.org/ml/binutils/2010-09/msg00216.html

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Banck <mbanck@debian.org>:
Bug#519006; Package wbxml2. (Mon, 09 Mar 2009 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter De Schrijver <p2@debian.org>:
New Bug report received and forwarded. Copy sent to Michael Banck <mbanck@debian.org>. (Mon, 09 Mar 2009 20:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter De Schrijver <p2@debian.org>
To: submit@bugs.debian.org
Subject: wbxml2_0.10.3-1(mips/unstable): FTBFS on mips
Date: Mon, 9 Mar 2009 22:42:59 +0200
Package: wbxml2
Version: 0.10.3-1
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of wbxml2_0.10.3-1 on ball by sbuild/mips 99.99
> Build started at 20090309-0257

[...]

> ** Using build dependencies supplied by package:
> Build-Depends: debhelper (>= 5.0.0), cmake, cdbs, check, libexpat1-dev | libexpat-dev, libpopt-dev, zlib1g-dev | libz-dev

[...]

> cd /build/buildd/wbxml2-0.10.3/obj-mips-linux-gnu/tools && /usr/bin/cc   -g -O2 -g -Wall -O2 -I/build/buildd/wbxml2-0.10.3 -I/build/buildd/wbxml2-0.10.3/obj-mips-linux-gnu   -o CMakeFiles/wbxml2xml.dir/attgetopt.o   -c /build/buildd/wbxml2-0.10.3/tools/attgetopt.c
> Linking C executable wbxml2xml
> cd /build/buildd/wbxml2-0.10.3/obj-mips-linux-gnu/tools && /usr/bin/cmake -E cmake_link_script CMakeFiles/wbxml2xml.dir/link.txt --verbose=1
> /usr/bin/cc  -g -O2 -g -Wall -O2   CMakeFiles/wbxml2xml.dir/wbxml2xml_tool.o CMakeFiles/wbxml2xml.dir/attgetopt.o  -o wbxml2xml -rdynamic ../src/libwbxml2.so.0.0.13 -lexpat 
> /usr/bin/ld: non-dynamic relocations refer to dynamic symbol optopt@@GLIBC_2.0
> /usr/bin/ld: failed to set dynamic section sizes: Bad value
> collect2: ld returned 1 exit status
> make[3]: *** [tools/wbxml2xml] Error 1
> make[3]: Leaving directory `/build/buildd/wbxml2-0.10.3/obj-mips-linux-gnu'
> make[2]: *** [tools/CMakeFiles/wbxml2xml.dir/all] Error 2
> make[2]: Leaving directory `/build/buildd/wbxml2-0.10.3/obj-mips-linux-gnu'
> make[1]: *** [all] Error 2
> make[1]: Leaving directory `/build/buildd/wbxml2-0.10.3/obj-mips-linux-gnu'
> make: *** [debian/stamp-makefile-build] Error 2
> dpkg-buildpackage: failure: debian/rules build gave error exit status 2

A full build log can be found at:
http://buildd.debian.org/build.php?arch=mips&pkg=wbxml2&ver=0.10.3-1





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#519006; Package wbxml2. (Mon, 09 Mar 2009 22:09:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. (Mon, 09 Mar 2009 22:09:17 GMT) Full text and rfc822 format available.

Message #10 received at 519006@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: Peter De Schrijver <p2@debian.org>, 519006@bugs.debian.org
Subject: Re: Bug#519006: wbxml2_0.10.3-1(mips/unstable): FTBFS on mips
Date: Mon, 9 Mar 2009 23:06:02 +0100
reassign 519006 binutils
thanks

On Mon, Mar 09, 2009 at 10:42:59PM +0200, Peter De Schrijver wrote:
> Package: wbxml2
> Version: 0.10.3-1
> Severity: serious
> 
> There was an error while trying to autobuild your package:
> 
> > Automatic build of wbxml2_0.10.3-1 on ball by sbuild/mips 99.99
> > Build started at 20090309-0257
> 
> [...]
> 
> > ** Using build dependencies supplied by package:
> > Build-Depends: debhelper (>= 5.0.0), cmake, cdbs, check, libexpat1-dev | libexpat-dev, libpopt-dev, zlib1g-dev | libz-dev
> 
> [...]
> 
> > cd /build/buildd/wbxml2-0.10.3/obj-mips-linux-gnu/tools && /usr/bin/cc   -g -O2 -g -Wall -O2 -I/build/buildd/wbxml2-0.10.3 -I/build/buildd/wbxml2-0.10.3/obj-mips-linux-gnu   -o CMakeFiles/wbxml2xml.dir/attgetopt.o   -c /build/buildd/wbxml2-0.10.3/tools/attgetopt.c
> > Linking C executable wbxml2xml
> > cd /build/buildd/wbxml2-0.10.3/obj-mips-linux-gnu/tools && /usr/bin/cmake -E cmake_link_script CMakeFiles/wbxml2xml.dir/link.txt --verbose=1
> > /usr/bin/cc  -g -O2 -g -Wall -O2   CMakeFiles/wbxml2xml.dir/wbxml2xml_tool.o CMakeFiles/wbxml2xml.dir/attgetopt.o  -o wbxml2xml -rdynamic ../src/libwbxml2.so.0.0.13 -lexpat 
> > /usr/bin/ld: non-dynamic relocations refer to dynamic symbol optopt@@GLIBC_2.0
> > /usr/bin/ld: failed to set dynamic section sizes: Bad value
> > collect2: ld returned 1 exit status
> > make[3]: *** [tools/wbxml2xml] Error 1
> > make[3]: Leaving directory `/build/buildd/wbxml2-0.10.3/obj-mips-linux-gnu'
> > make[2]: *** [tools/CMakeFiles/wbxml2xml.dir/all] Error 2
> > make[2]: Leaving directory `/build/buildd/wbxml2-0.10.3/obj-mips-linux-gnu'
> > make[1]: *** [all] Error 2
> > make[1]: Leaving directory `/build/buildd/wbxml2-0.10.3/obj-mips-linux-gnu'
> > make: *** [debian/stamp-makefile-build] Error 2
> > dpkg-buildpackage: failure: debian/rules build gave error exit status 2

Hrm, it is linking an executable here, not a library.  The library got
built with -fPIC, but the object file belonging to the executable did
not.  AFAIK, this is fine (and auto-generated by cmake) and all non
mips-* arches had no trouble.

> A full build log can be found at:
> http://buildd.debian.org/build.php?arch=mips&pkg=wbxml2&ver=0.10.3-1
 
It says: "binutils_2.19.1-1", same for the mipsel build log.

Further, mopac7 shows the same issue on mipsel, but interestingly mipsel
built fine and was still on lenny's binutils, see

https://buildd.debian.org/fetch.cgi?pkg=mopac7;ver=1.14-2;arch=mipsel;stamp=1235861371

vs.

https://buildd.debian.org/fetch.cgi?pkg=mopac7;ver=1.14-2;arch=mips;stamp=1235372794

Thus, I assume this is a bug in binutils for now and reassign.


cheers,

Michael




Bug reassigned from package `wbxml2' to `binutils'. Request was from Michael Banck <mbanck@debian.org> to control@bugs.debian.org. (Mon, 09 Mar 2009 22:09:20 GMT) Full text and rfc822 format available.

Blocking bugs of 517707 added: 519006 Request was from Daniel Leidert (dale) <daniel.leidert@wgdd.de> to control@bugs.debian.org. (Tue, 10 Mar 2009 22:06:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#519006; Package binutils. (Mon, 06 Apr 2009 12:00:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. (Mon, 06 Apr 2009 12:00:09 GMT) Full text and rfc822 format available.

Message #19 received at 519006@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 519006@bugs.debian.org, 519006-submitter@bugs.debian.org
Cc: debian-mips@lists.debian.org
Subject: Re: wbxml2 build error on mips
Date: Mon, 06 Apr 2009 13:58:58 +0200
please recheck with the binutils from experimental, which is now built. if that
still fails, please could you put all the files needed for linking (including
libraries) in a tarball and make this one publically available?




Message sent on to Peter De Schrijver <p2@debian.org>:
Bug#519006. (Mon, 06 Apr 2009 12:00:16 GMT) Full text and rfc822 format available.

Tags added: moreinfo Request was from Matthias Klose <doko@ubuntu.com> to control@bugs.debian.org. (Mon, 06 Apr 2009 12:00:17 GMT) Full text and rfc822 format available.

Tags added: help Request was from Matthias Klose <doko@ubuntu.com> to control@bugs.debian.org. (Mon, 06 Apr 2009 12:00:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#519006; Package binutils. (Thu, 09 Apr 2009 21:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Rosenfeld <roland@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Thu, 09 Apr 2009 21:57:02 GMT) Full text and rfc822 format available.

Message #31 received at 519006@bugs.debian.org (full text, mbox):

From: Roland Rosenfeld <roland@debian.org>
To: 519006@bugs.debian.org
Subject: Re: Bug#519006: wbxml2_0.10.3-1(mips/unstable): FTBFS on mips
Date: Thu, 9 Apr 2009 23:39:14 +0200
> > > /usr/bin/cc  -g -O2 -g -Wall -O2   CMakeFiles/wbxml2xml.dir/wbxml2xml_tool.o CMakeFiles/wbxml2xml.dir/attgetopt.o  -o wbxml2xml -rdynamic ../src/libwbxml2.so.0.0.13 -lexpat 
> > > /usr/bin/ld: non-dynamic relocations refer to dynamic symbol optopt@@GLIBC_2.0
> > > /usr/bin/ld: failed to set dynamic section sizes: Bad value
> > > collect2: ld returned 1 exit status

BTW: I noticed the same error message on mips and mipsel when
autobuilding transfig:

https://buildd.debian.org/fetch.cgi?&pkg=transfig&ver=1%3A3.2.5.a-1&arch=mips&stamp=1238502583&file=log
https://buildd.debian.org/fetch.cgi?&pkg=transfig&ver=1%3A3.2.5.a-1&arch=mipsel&stamp=1238035432&file=log

All other architectures build without problems.

Tschoeeee

        Roland




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#519006; Package binutils. (Sun, 12 Apr 2009 10:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sun, 12 Apr 2009 10:54:08 GMT) Full text and rfc822 format available.

Message #36 received at 519006@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: Nicholas Breen <nbreen@ofb.net>, 517707@bugs.debian.org
Cc: 519006@bugs.debian.org
Subject: Re: [Debichem-devel] Bug#517707: Bug#517707: FTBFS mopac7_1.14-2(mipsel/unstable)
Date: Sun, 12 Apr 2009 12:51:33 +0200
On Sat, Apr 11, 2009 at 06:49:42PM -0700, Nicholas Breen wrote:
> On Sat, Apr 11, 2009 at 07:26:53PM +0200, Daniel Leidert wrote:
> > In http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=519006#19 Matthias
> > suggested to give the binutils from experimental a try. Michael, do you
> > have the time to do this on a mips/mipsel buildd?
> 
> It FTBFSes in the same way on my mips box (SGI O2) in a chroot of current sid +
> binutils 2.19.51.20090315-1 from experimental.

OK, thanks a lot for testing Nicholas - CCing Bug #519006 so Matthias
sees this.


Michael




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#519006; Package binutils. (Sun, 10 May 2009 10:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roland Rosenfeld <roland@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sun, 10 May 2009 10:42:06 GMT) Full text and rfc822 format available.

Message #41 received at 519006@bugs.debian.org (full text, mbox):

From: Roland Rosenfeld <roland@debian.org>
To: Debian Bug Control <control@bugs.debian.org>
Cc: 519006@bugs.debian.org
Subject: Re: Bug#519006: wbxml2_0.10.3-1(mips/unstable): FTBFS on mips
Date: Sun, 10 May 2009 12:35:06 +0200
[Message part 1 (text/plain, inline)]
tags 519006 + patch
thanks

On Thu, 09 Apr 2009, I wrote:

> > > > /usr/bin/cc  -g -O2 -g -Wall -O2   CMakeFiles/wbxml2xml.dir/wbxml2xml_tool.o CMakeFiles/wbxml2xml.dir/attgetopt.o  -o wbxml2xml -rdynamic ../src/libwbxml2.so.0.0.13 -lexpat 
> > > > /usr/bin/ld: non-dynamic relocations refer to dynamic symbol optopt@@GLIBC_2.0
> > > > /usr/bin/ld: failed to set dynamic section sizes: Bad value
> > > > collect2: ld returned 1 exit status
> 
> BTW: I noticed the same error message on mips and mipsel when
> autobuilding transfig:
> 
> https://buildd.debian.org/fetch.cgi?&pkg=transfig&ver=1%3A3.2.5.a-1&arch=mips&stamp=1238502583&file=log
> https://buildd.debian.org/fetch.cgi?&pkg=transfig&ver=1%3A3.2.5.a-1&arch=mipsel&stamp=1238035432&file=log
> 
> All other architectures build without problems.

It seems that optopt is variable name in libc, which conflicts with a
local used name in the local program.

I worked around this problem by renaming optopt (used in a local
getopt.c) to fig_optopt and after this transfig builded on
mipsel without problems (mips is still in the queue):

https://buildd.debian.org/fetch.cgi?&pkg=transfig&ver=1%3A3.2.5.a-2&arch=mipsel&stamp=1241950555&file=log

As far as I can see, that same should be possible in wbxml2.
The attached patch should help...

Tschoeeee

        Roland
[optopt-rename.patch (text/x-diff, attachment)]

Tags added: patch Request was from Roland Rosenfeld <roland@debian.org> to control@bugs.debian.org. (Sun, 10 May 2009 10:42:08 GMT) Full text and rfc822 format available.

Forcibly Merged 519006 526969. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sun, 17 May 2009 08:48:02 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://sourceware.org/bugzilla/show_bug.cgi?id=10144. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sun, 17 May 2009 08:48:04 GMT) Full text and rfc822 format available.

Tags removed: patch Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Sun, 05 Jul 2009 12:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#519006; Package binutils. (Fri, 10 Jul 2009 05:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. (Fri, 10 Jul 2009 05:36:02 GMT) Full text and rfc822 format available.

Message #54 received at 519006@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 519006@bugs.debian.org
Cc: Debian Bug Tracking System <control@bugs.debian.org>
Subject: please recheck with recent binutils
Date: Fri, 10 Jul 2009 07:34:07 +0200
retitle 519006 mips/ld: non-dynamic relocations refer to dynamic symbol
thanks

please recheck with recent binutils, although I doubt this is fixed.




Changed Bug title to `mips/ld: non-dynamic relocations refer to dynamic symbol' from `wbxml2_0.10.3-1(mips/unstable): FTBFS on mips'. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Fri, 10 Jul 2009 05:36:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#519006; Package binutils. (Sat, 11 Jul 2009 07:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sat, 11 Jul 2009 07:54:03 GMT) Full text and rfc822 format available.

Message #61 received at 519006@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 519006@bugs.debian.org
Subject: Re: Bug#519006: please recheck with recent binutils
Date: Sat, 11 Jul 2009 09:38:25 +0200
Matthias Klose wrote:
> retitle 519006 mips/ld: non-dynamic relocations refer to dynamic symbol
> thanks
> 
> please recheck with recent binutils, although I doubt this is fixed.

Recent binutils has still the same behaviour.

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#519006; Package binutils. (Fri, 01 Jan 2010 14:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Fri, 01 Jan 2010 14:45:02 GMT) Full text and rfc822 format available.

Message #66 received at 519006@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 519006@bugs.debian.org
Subject: mips/ld: non-dynamic relocations refer to dynamic symbol
Date: Fri, 1 Jan 2010 14:39:45 +0000 (UTC)
Hi,

while fixing #531937 I found out how to create a very minimalistic
testcase. Apparently the diagnosis that ld cannot “override” libc
symbols with local symbols was correct.

I have created an attachment to the upstream-filed bug at:
http://sources.redhat.com/bugzilla/show_bug.cgi?id=10144

I eventually fixed #531937 since the real bug was something else
that only happened to be noticed because of this toolchain bug,
but actually may have affected the programme negatively, so this
bug can be used for testing ☺

HTH & HAND,
//mirabilos
-- 
Sometimes they [people] care too much: pretty printers [and syntax highligh-
ting, d.A.] mechanically produce pretty output that accentuates irrelevant
detail in the program, which is as sensible as putting all the prepositions
in English text in bold font.	-- Rob Pike in "Notes on Programming in C"




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#519006; Package binutils. (Thu, 07 Jan 2010 11:27:59 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Thu, 07 Jan 2010 11:27:59 GMT) Full text and rfc822 format available.

Message #71 received at 519006@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: control@bugs.debian.org
Cc: 519006@bugs.debian.org
Subject: Re: FTBFS on mips/mipsel due to broken binutils
Date: Thu, 07 Jan 2010 12:26:17 +0100
block 564052 by 519006
thanks

tftp-hpa is affected by this too.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added indication that bug 519006 blocks 564052 Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 07 Jan 2010 11:28:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#519006; Package binutils. (Wed, 13 Jan 2010 13:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Charles Plessy <plessy@debian.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Wed, 13 Jan 2010 13:45:07 GMT) Full text and rfc822 format available.

Message #78 received at 519006@bugs.debian.org (full text, mbox):

From: Charles Plessy <plessy@debian.org>
To: 519006@bugs.debian.org
Cc: Roland Marcus Rutschmann <rudi@debian.org>, debian-mips@lists.debian.org, debian-med.lists.debian.org@kunpuu.plessy.org
Subject: Bug #519006 on binutils seems to also prevent building of xmedcon on mips.
Date: Wed, 13 Jan 2010 22:42:58 +0900
affects 519006 + xmedcon
thanks

Dear Roland, MIPS porters, binutils maintainers and Debian Med team,

it seems that #519006 provokes build failure for the xmedcon package, blocking
its testing migration and the one of the amide package, that depends on it.

https://buildd.debian.org/pkg.cgi?pkg=xmedcon
http://qa.debian.org/excuses.php?package=amide

Have a nice day,

-- 
Charles Plessy
Debian Med packaging team,
http://www.debian.org/devel/debian-med
Tsurumi, Kanagawa, Japan




Added indication that 519006 affects xmedcon Request was from Charles Plessy <plessy@debian.org> to control@bugs.debian.org. (Wed, 13 Jan 2010 13:48:08 GMT) Full text and rfc822 format available.

Disconnected #526969 from all other report(s). Request was from Thorsten Glaser <tg@mirbsd.de> to control@bugs.debian.org. (Fri, 22 Jan 2010 16:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#519006; Package binutils. (Sun, 31 Jan 2010 23:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sun, 31 Jan 2010 23:09:09 GMT) Full text and rfc822 format available.

Message #87 received at 519006@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: Charles Plessy <plessy@debian.org>
Cc: 519006@bugs.debian.org
Subject: Re: Bug #519006 on binutils seems to also prevent building of xmedcon on mips.
Date: Mon, 01 Feb 2010 00:05:57 +0100
Am Mittwoch, den 13.01.2010, 22:42 +0900 schrieb Charles Plessy:

> Dear Roland, MIPS porters, binutils maintainers and Debian Med team,
> 
> it seems that #519006 provokes build failure for the xmedcon package, blocking
> its testing migration and the one of the amide package, that depends on it.
> 
> https://buildd.debian.org/pkg.cgi?pkg=xmedcon
> http://qa.debian.org/excuses.php?package=amide

You could try to add -fPIC to the binary compiling stage too and check
if this already fixes your problem.

Regards, Daniel





Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#519006; Package binutils. (Tue, 16 Feb 2010 13:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Josefsson <simon@josefsson.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Tue, 16 Feb 2010 13:21:06 GMT) Full text and rfc822 format available.

Message #92 received at 519006@bugs.debian.org (full text, mbox):

From: Simon Josefsson <simon@josefsson.org>
To: 519006@bugs.debian.org
Subject: Re: Bug #519006 on binutils seems to also prevent building of libidn on mips
Date: Tue, 16 Feb 2010 14:02:54 +0100
FYI, this bug may be causing the FTBFS of libidn on mips(el) too, see:

https://buildd.debian.org/fetch.cgi?pkg=libidn;ver=1.18-1;arch=mips;stamp=1266268098
https://buildd.debian.org/fetch.cgi?pkg=libidn;ver=1.18-1;arch=mipsel;stamp=1266259463

/Simon




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#519006; Package binutils. (Thu, 04 Mar 2010 16:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Josefsson <simon@josefsson.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Thu, 04 Mar 2010 16:18:02 GMT) Full text and rfc822 format available.

Message #97 received at 519006@bugs.debian.org (full text, mbox):

From: Simon Josefsson <simon@josefsson.org>
To: 519006@bugs.debian.org
Subject: Patch available
Date: Thu, 04 Mar 2010 17:13:38 +0100
tags 519006 patch
thanks

There is a patch posted at:

http://sourceware.org/bugzilla/show_bug.cgi?id=10144#c6
http://gcc.gnu.org/ml/gcc-patches/2009-09/msg02070.html

Is anyone able to test it?  I don't have access to any MIPS system.

This problem appears to cause FTBFS's for several recently uploaded
packages on mips.

/Simon




Added tag(s) patch. Request was from Simon Josefsson <simon@josefsson.org> to control@bugs.debian.org. (Thu, 04 Mar 2010 16:18:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#519006; Package binutils. (Mon, 08 Mar 2010 09:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. (Mon, 08 Mar 2010 09:39:10 GMT) Full text and rfc822 format available.

Message #104 received at 519006@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Debian Bug Tracking System <control@bugs.debian.org>
Cc: Simon Josefsson <simon@josefsson.org>, 519006@bugs.debian.org, Aurelien Jarno <aurel32@debian.org>
Subject: Re: Processed: Patch available
Date: Mon, 08 Mar 2010 10:32:52 +0100
tags 519006 - patch
thanks

the patch is part of GCC-4.5; if it should be applied to 4.4, it needs a 
backport. Is the problem fixed in GCC-4.5?

On 04.03.2010 17:18, Debian Bug Tracking System wrote:
> Processing commands for control@bugs.debian.org:
>
>> tags 519006 patch
> Bug #519006 [binutils] mips/ld: non-dynamic relocations refer to dynamic symbol
> Added tag(s) patch.
>> thanks




Removed tag(s) patch. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 08 Mar 2010 09:39:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#519006; Package binutils. (Mon, 08 Mar 2010 11:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Mon, 08 Mar 2010 11:15:03 GMT) Full text and rfc822 format available.

Message #111 received at 519006@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Matthias Klose <doko@debian.org>
Cc: Debian Bug Tracking System <control@bugs.debian.org>, Simon Josefsson <simon@josefsson.org>, 519006@bugs.debian.org, Aurelien Jarno <aurel32@debian.org>
Subject: Re: Processed: Patch available
Date: Mon, 08 Mar 2010 12:13:14 +0100
Matthias Klose a écrit :
> tags 519006 - patch
> thanks
> 
> the patch is part of GCC-4.5; if it should be applied to 4.4, it needs a 
> backport. Is the problem fixed in GCC-4.5?
> 

At least the problem is solved with gcc-snapshot, I haven't tried with
gcc 4.5 yet. The backport is not trivial though.

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Added tag(s) squeeze and sid. Request was from Touko Korpela <tkorpela@phnet.fi> to control@bugs.debian.org. (Wed, 17 Mar 2010 00:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#519006; Package binutils. (Mon, 26 Apr 2010 17:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Mon, 26 Apr 2010 17:03:02 GMT) Full text and rfc822 format available.

Message #118 received at 519006@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: 519006@bugs.debian.org
Subject: Re: Bug#519006: Bug #519006 on binutils seems to also prevent building of libidn on mips
Date: Mon, 26 Apr 2010 19:00:08 +0200
On 2010-02-16 Simon Josefsson <simon@josefsson.org> wrote:
> FYI, this bug may be causing the FTBFS of libidn on mips(el) too, see:

> https://buildd.debian.org/fetch.cgi?pkg=libidn;ver=1.18-1;arch=mips;stamp=1266268098
> https://buildd.debian.org/fetch.cgi?pkg=libidn;ver=1.18-1;arch=mipsel;stamp=1266259463

> /Simon

Also found in gnutls26 2.9.10.
https://buildd.debian.org/fetch.cgi?pkg=gnutls26&arch=mips&ver=2.9.10-1&stamp=1272273623&file=log&as=raw

cu andreas




Added indication that bug 519006 blocks 572407 Request was from Thomas Weber <tweber@debian.org> to control@bugs.debian.org. (Fri, 28 May 2010 19:48:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#519006; Package binutils. (Sun, 30 May 2010 16:24:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Rottmann <a.rottmann@gmx.at>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sun, 30 May 2010 16:24:09 GMT) Full text and rfc822 format available.

Message #125 received at 519006@bugs.debian.org (full text, mbox):

From: Andreas Rottmann <a.rottmann@gmx.at>
To: 519006@bugs.debian.org
Subject: Also causes FTBFS for libunistring
Date: Sun, 30 May 2010 18:23:10 +0200
libunistring seems affected, too:

https://buildd.debian.org/fetch.cgi?pkg=libunistring;ver=0.9.3-1;arch=mips;stamp=1275218589

Regards, Rotty
-- 
Andreas Rottmann -- <http://rotty.yi.org/>




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#519006; Package binutils. (Tue, 08 Jun 2010 18:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to bdale@gag.com (Bdale Garbee):
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Tue, 08 Jun 2010 18:03:06 GMT) Full text and rfc822 format available.

Message #130 received at 519006@bugs.debian.org (full text, mbox):

From: bdale@gag.com (Bdale Garbee)
To: 519006@bugs.debian.org
Subject: breaks dump builds, too
Date: Tue, 8 Jun 2010 12:02:18 -0600 (MDT)
This prevents dump from building on mips/mipsel, which means the version 
of dump in testing is now months out of date.

Is there an estimate for when this bug will be fixed?

Bdale




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#519006; Package binutils. (Wed, 09 Jun 2010 07:42:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. (Wed, 09 Jun 2010 07:42:10 GMT) Full text and rfc822 format available.

Message #135 received at 519006@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: debian-mips@lists.debian.org
Cc: Bdale Garbee <bdale@gag.com>, 519006@bugs.debian.org
Subject: Re: Bug#519006: breaks dump builds, too
Date: Wed, 09 Jun 2010 09:33:25 +0200
On 08.06.2010 20:02, Bdale Garbee wrote:
> This prevents dump from building on mips/mipsel, which means the version
> of dump in testing is now months out of date.
>
> Is there an estimate for when this bug will be fixed?

this is up to the debian-mips maintainers to answer.

is there different behaviour when all objects involved in the link are rebuilt 
with binutils from experimental?




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#519006; Package binutils. (Wed, 09 Jun 2010 10:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaud Patard (Rtp) <arnaud.patard@rtp-net.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Wed, 09 Jun 2010 10:00:03 GMT) Full text and rfc822 format available.

Message #140 received at 519006@bugs.debian.org (full text, mbox):

From: Arnaud Patard (Rtp) <arnaud.patard@rtp-net.org>
To: Matthias Klose <doko@debian.org>
Cc: debian-mips@lists.debian.org, Bdale Garbee <bdale@gag.com>, 519006@bugs.debian.org
Subject: Re: Bug#519006: breaks dump builds, too
Date: Wed, 09 Jun 2010 12:02:13 +0200
Matthias Klose <doko@debian.org> writes:

Hi,

> On 08.06.2010 20:02, Bdale Garbee wrote:
>> This prevents dump from building on mips/mipsel, which means the version
>> of dump in testing is now months out of date.
>>
>> Is there an estimate for when this bug will be fixed?
>
> this is up to the debian-mips maintainers to answer.
>
> is there different behaviour when all objects involved in the link are
> rebuilt with binutils from experimental?

hmm... Why are you talking about binutils ? From what I remember, the
patch fixing the issue is in gcc 4.5 and someone said it won't be easy
to backport it.

Arnaud




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#519006; Package binutils. (Wed, 09 Jun 2010 23:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. (Wed, 09 Jun 2010 23:00:03 GMT) Full text and rfc822 format available.

Message #145 received at 519006@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: "Arnaud Patard (Rtp)" <arnaud.patard@rtp-net.org>, 519006@bugs.debian.org
Cc: debian-mips@lists.debian.org, Bdale Garbee <bdale@gag.com>, Debian Release <debian-release@lists.debian.org>
Subject: Re: Bug#519006: breaks dump builds, too
Date: Thu, 10 Jun 2010 00:56:30 +0200
On 09.06.2010 12:02, Arnaud Patard (Rtp) wrote:
> Matthias Klose<doko@debian.org>  writes:
>
> Hi,
>
>> On 08.06.2010 20:02, Bdale Garbee wrote:
>>> This prevents dump from building on mips/mipsel, which means the version
>>> of dump in testing is now months out of date.
>>>
>>> Is there an estimate for when this bug will be fixed?
>>
>> this is up to the debian-mips maintainers to answer.
>>
>> is there different behaviour when all objects involved in the link are
>> rebuilt with binutils from experimental?
>
> hmm... Why are you talking about binutils ? From what I remember, the
> patch fixing the issue is in gcc 4.5

reference?

> and someone said it won't be easy to backport it.

so what do you propose?

 - drop mips as a release architecture?
 - do you volunteer to make gcc-4.5 ready for inclusion
   in mips and fix any resulting RC-critical issue?

Matthias




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#519006; Package binutils. (Thu, 10 Jun 2010 19:00:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaud Patard (Rtp) <arnaud.patard@rtp-net.org>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Thu, 10 Jun 2010 19:00:17 GMT) Full text and rfc822 format available.

Message #150 received at 519006@bugs.debian.org (full text, mbox):

From: Arnaud Patard (Rtp) <arnaud.patard@rtp-net.org>
To: Matthias Klose <doko@debian.org>
Cc: 519006@bugs.debian.org, debian-mips@lists.debian.org, Bdale Garbee <bdale@gag.com>, Debian Release <debian-release@lists.debian.org>
Subject: Re: Bug#519006: breaks dump builds, too
Date: Thu, 10 Jun 2010 21:05:36 +0200
Matthias Klose <doko@debian.org> writes:

> On 09.06.2010 12:02, Arnaud Patard (Rtp) wrote:
>> Matthias Klose<doko@debian.org>  writes:
>>
>> Hi,
>>
>>> On 08.06.2010 20:02, Bdale Garbee wrote:
>>>> This prevents dump from building on mips/mipsel, which means the version
>>>> of dump in testing is now months out of date.
>>>>
>>>> Is there an estimate for when this bug will be fixed?
>>>
>>> this is up to the debian-mips maintainers to answer.
>>>
>>> is there different behaviour when all objects involved in the link are
>>> rebuilt with binutils from experimental?
>>
>> hmm... Why are you talking about binutils ? From what I remember, the
>> patch fixing the issue is in gcc 4.5
>
> reference?

http://sourceware.org/bugzilla/show_bug.cgi?id=10144#c6
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=519006#97
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=519006#111


>
>> and someone said it won't be easy to backport it.
>
> so what do you propose?
>
>  - drop mips as a release architecture?
>  - do you volunteer to make gcc-4.5 ready for inclusion
>    in mips and fix any resulting RC-critical issue?

I'm no gcc or binutils hacker. I've reported what I understood on the
issue in order to help seeing it fixed. My mail was not intended to
offense you at all. Unfortunately, it looks like it was not well
perceived so I will stop replying to this bug. I'm not using Debian on
my mips boxes after all...

Arnaud




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#519006; Package binutils. (Fri, 11 Jun 2010 07:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. (Fri, 11 Jun 2010 07:06:03 GMT) Full text and rfc822 format available.

Message #155 received at 519006@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: "Arnaud Patard (Rtp)" <arnaud.patard@rtp-net.org>, 519006@bugs.debian.org
Cc: debian-mips@lists.debian.org, Bdale Garbee <bdale@gag.com>, Debian Release <debian-release@lists.debian.org>
Subject: Re: Bug#519006: breaks dump builds, too
Date: Fri, 11 Jun 2010 09:04:24 +0200
On 10.06.2010 21:05, Arnaud Patard (Rtp) wrote:
> Matthias Klose<doko@debian.org>  writes:
>> so what do you propose?
>>
>>   - drop mips as a release architecture?
>>   - do you volunteer to make gcc-4.5 ready for inclusion
>>     in mips and fix any resulting RC-critical issue?
>
> I'm no gcc or binutils hacker. I've reported what I understood on the
> issue in order to help seeing it fixed. My mail was not intended to
> offense you at all. Unfortunately, it looks like it was not well
> perceived so I will stop replying to this bug. I'm not using Debian on
> my mips boxes after all...

no, I'm not offended, just stating that I don't work on this issue and asking if 
somebody else is working on this.

  Matthias




Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#519006; Package binutils. (Sat, 12 Jun 2010 14:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Sat, 12 Jun 2010 14:24:04 GMT) Full text and rfc822 format available.

Message #160 received at 519006@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: 519006@bugs.debian.org
Cc: control@bugs.debian.org
Subject: mips/ld: non-dynamic relocations refer to dynamic symbol
Date: Sat, 12 Jun 2010 14:39:29 +0200
reassign 519006 gcc-4.4
found 519006 4.4.2-8
thanks

This bug is actually a GCC bug, present in 4.4 and fixed in 4.5. The
patch that fixes the problem is available [1], but is not easily
backportable without good GCC knowledge.

A workaround to this bug is to not compile with -g.

[1] http://gcc.gnu.org/ml/gcc-patches/2009-09/msg02070.html

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Bug reassigned from package 'binutils' to 'gcc-4.4'. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Sat, 12 Jun 2010 14:24:11 GMT) Full text and rfc822 format available.

Bug Marked as found in versions gcc-4.4/4.4.2-8. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Sat, 12 Jun 2010 14:24:11 GMT) Full text and rfc822 format available.

Added indication that bug 519006 blocks 587002 Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Sun, 04 Jul 2010 03:03:03 GMT) Full text and rfc822 format available.

Removed indication that bug 519006 blocks 587002 Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Thu, 22 Jul 2010 14:45:10 GMT) Full text and rfc822 format available.

Added indication that bug 519006 blocks 589962 Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Thu, 22 Jul 2010 14:51:14 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'http://gcc.gnu.org/bugzilla/show_bug.cgi?id=45387' from 'http://sourceware.org/bugzilla/show_bug.cgi?id=10144' Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Mon, 23 Aug 2010 18:21:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#519006; Package gcc-4.4. (Mon, 30 Aug 2010 20:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 30 Aug 2010 20:48:04 GMT) Full text and rfc822 format available.

Message #177 received at 519006@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: 519006@bugs.debian.org
Cc: debian-gcc@lists.debian.org, debian-mips@lists.debian.org, debian-release@lists.debian.org
Subject: Bug#519006: mips/ld: non-dynamic relocations refer to dynamic symbol
Date: Mon, 30 Aug 2010 22:44:25 +0200
Hi all,

I have made some progress on this bug, though it has not progress in the
expected direction. In other words I got some surprises.

First of all it the bug has been introduced in binutils when introducing
the MIPS PLT support [1] (commits around 2008-08-08). I am still
convinced it is actually a binutils bug. Secondly, if the problem is
actually not present in gcc-snapshot in gcc 4.5 we have *in Debian*, it
is not due to the fix linked in the bugzilla entry. It is due to the
fact we default to -mplt on these compilers. It is possible to
workaround the bug on gcc 4.4 using -mplt (like it is possible to 
workaround it by dropping the -g).

Given all of that, the only forseen solution for this fix is to also
default to -mplt on gcc 4.4. It also brings speed improvements, as 
well as some more "standard" binaries with regard to other 
architectures. On the other hand, I understand it is something quite 
risky so close to a release. If we go for this solution, we may want
to trigger a rebuild of part of the archive as it is currently done
on sparc.

Cheers,
Aurelien

[1] http://readlist.com/lists/gcc.gnu.org/gcc/4/22455.html

diff -u gcc-4.4-4.4.4/debian/changelog gcc-4.4-4.4.4/debian/changelog
--- gcc-4.4-4.4.4/debian/changelog
+++ gcc-4.4-4.4.4/debian/changelog
@@ -1,3 +1,10 @@
+gcc-4.4 (4.4.4-11+mipsplt) UNRELEASED; urgency=low
+
+  [ Aurelien Jarno ]
+  * Default to -mplt on mips(el).
+
+ -- Aurelien Jarno <aurel32@debian.org>  Mon, 30 Aug 2010 15:58:29 +0000
+
 gcc-4.4 (4.4.4-11) unstable; urgency=medium
 
   * Update to SVN 20100824 from the gcc-4_4-branch (r163521).
diff -u gcc-4.4-4.4.4/debian/rules2 gcc-4.4-4.4.4/debian/rules2
--- gcc-4.4-4.4.4/debian/rules2
+++ gcc-4.4-4.4.4/debian/rules2
@@ -384,12 +384,14 @@
 endif
 
 ifneq (,$(findstring mips-linux,$(DEB_TARGET_GNU_TYPE)))
+  CONFARGS += --with-mips-plt
   ifeq ($(biarchn32)-$(biarch64),yes-yes)
     CONFARGS += --enable-targets=all
   endif
 endif
 
 ifneq (,$(findstring mipsel-linux,$(DEB_TARGET_GNU_TYPE)))
+  CONFARGS += --with-mips-plt
   ifeq ($(biarchn32)-$(biarch64),yes-yes)
     CONFARGS += --enable-targets=all
   endif

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#519006; Package gcc-4.4. (Wed, 01 Sep 2010 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaud Patard (Rtp) <arnaud.patard@rtp-net.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Wed, 01 Sep 2010 08:39:03 GMT) Full text and rfc822 format available.

Message #182 received at 519006@bugs.debian.org (full text, mbox):

From: Arnaud Patard (Rtp) <arnaud.patard@rtp-net.org>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: 519006@bugs.debian.org, debian-gcc@lists.debian.org, debian-mips@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#519006: mips/ld: non-dynamic relocations refer to dynamic symbol
Date: Wed, 01 Sep 2010 10:35:48 +0200
Aurelien Jarno <aurelien@aurel32.net> writes:

> Hi all,

Hi,
>
> I have made some progress on this bug, though it has not progress in the
> expected direction. In other words I got some surprises.
>
> First of all it the bug has been introduced in binutils when introducing
> the MIPS PLT support [1] (commits around 2008-08-08). I am still
> convinced it is actually a binutils bug. Secondly, if the problem is
> actually not present in gcc-snapshot in gcc 4.5 we have *in Debian*, it
> is not due to the fix linked in the bugzilla entry. It is due to the
> fact we default to -mplt on these compilers. It is possible to
> workaround the bug on gcc 4.4 using -mplt (like it is possible to 
> workaround it by dropping the -g).

To sum up, there's no fix upstream for the bug but the
solution/workaround for now is -mplt, right ?

>
> Given all of that, the only forseen solution for this fix is to also
> default to -mplt on gcc 4.4. It also brings speed improvements, as 
> well as some more "standard" binaries with regard to other 
> architectures. On the other hand, I understand it is something quite 
> risky so close to a release. If we go for this solution, we may want

If the bug is "fixed" by this change and as a side effect, there are
improvements, there's no reason to not include it. I don't think it can
be worse than the current situation. Moreover (iirc) this bug is a
release blocker for mips so seeing it closed would be really nice.

> to trigger a rebuild of part of the archive as it is currently done
> on sparc.

There's a bunch of packages known to be bitten by this bug but there may
be others we're not aware of. imho a rebuild is mandatory. This would
also give us a good up-to-date status of the mips/mipsel ports for the
release.

My 2 cents,
Arnaud




Added indication that bug 519006 blocks 595875 Request was from Julien BLACHE <jblache@debian.org> to control@bugs.debian.org. (Tue, 07 Sep 2010 20:27:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#519006; Package gcc-4.4. (Tue, 14 Sep 2010 15:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Tue, 14 Sep 2010 15:30:02 GMT) Full text and rfc822 format available.

Message #189 received at 519006@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: 519006@bugs.debian.org
Cc: debian-gcc@lists.debian.org, debian-mips@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#519006: mips/ld: non-dynamic relocations refer to dynamic symbol
Date: Tue, 14 Sep 2010 17:27:04 +0200
On Mon, Aug 30, 2010 at 10:44:25PM +0200, Aurelien Jarno wrote:
> Hi all,
> 
> I have made some progress on this bug, though it has not progress in the
> expected direction. In other words I got some surprises.
> 
> First of all it the bug has been introduced in binutils when introducing
> the MIPS PLT support [1] (commits around 2008-08-08). I am still
> convinced it is actually a binutils bug. Secondly, if the problem is
> actually not present in gcc-snapshot in gcc 4.5 we have *in Debian*, it
> is not due to the fix linked in the bugzilla entry. It is due to the
> fact we default to -mplt on these compilers. It is possible to
> workaround the bug on gcc 4.4 using -mplt (like it is possible to 
> workaround it by dropping the -g).
> 
> Given all of that, the only forseen solution for this fix is to also
> default to -mplt on gcc 4.4. It also brings speed improvements, as 
> well as some more "standard" binaries with regard to other 
> architectures. On the other hand, I understand it is something quite 
> risky so close to a release. If we go for this solution, we may want
> to trigger a rebuild of part of the archive as it is currently done
> on sparc.
> 

I have done a rebuilt of part of the archive using gcc-4.4 that defaults
to -mplt. Unfortunately I don't have enough CPU power to rebuild the
whole archive, so I have rebuilt all packages with priority >= important
as well as 436 packages selected randomly with priority optional (see
list below). I have got a few build failures but, not due to the -mplt
change.

failures
--------
apt-rpm_0.5.15lorg3.2-6 (#533164)
libavg_1.0.1-1 (#580678)
libgdchart-gd2_0.11.5-6 (#564374)
mixxx_1.7.2-1 (#587110)
time_1.7-23 (sbuild bug)

successes
---------
3depict_0.0.1-1
aboot_1.0~pre20040408-3
acl_2.2.49-3
adanaxisgpl_1.2.5.dfsg.1-3
afio_2.5-5
agave_0.4.7-1
agg_2.5+dfsg1-3
aide_0.15-2
alure_1.0-2
amide_0.9.2-1
apron_0.9.10-5
apt_0.8.3
apt-build_0.12.37
aptitude_0.6.3-3.1
aptsh_0.0.7+nmu1
ap-utils_1.5-2
archivemount_0.6.1-1
arpon_2.0-2
artha_1.0.1-1
at_3.1.12-1
atom4_4.1-4
attr_2.4.44-2
autoclass_3.3.6-1
autodocksuite_4.2.3-1
autounit_0.20.1-3
avida_2.0b7-4.2
awffull_3.8.2-1.3
ballz_1.0.1-2
bandwidthd_2.0.1+cvs20090917-4
barrage_1.0.2-4
base-files_5.9
base-passwd_3.5.22
bash_4.1-3
bc_1.06.95-2
bibindex_2.10-10
bind9_9.7.1.dfsg.P2-2
bison_1:2.4.1.dfsg-3
bitmeter_1.2-2
bkhive_1.1.1-1
blast_1.1-22
boa_0.94.14rc21-3.1
bognor-regis_0.5.2-2
bombardier_0.8.3+nmu1
boost1.42_1.42.0-4
bsd-mailx_8.1.2-0.20100314cvs-1
bsdmainutils_8.0.13
bygfoot_2.3.2-1
bzip2_1.0.5-5
c2hs_0.16.2-1
cachefilesd_0.9-3
cairo-5c_1.4
canorus_0.7-2
cassbeam_1.0-8
ccache_3.0.1-1
cheesetracker_0.9.15.3-4
cherokee_1.0.8-1
chise-base_0.3.0-2
claws-mail_3.7.6-2
clex_3.15-1
cln_1.3.1-2
cl-uffi_2.0.0-1
coq_8.2.pl2+dfsg-1
coreutils_8.5-1
couchdb_0.11.0-2
cpio_2.11-4
crimson_0.5.2-1
cron_3.0pl1-114
crossfire_1.50.0-1
cryptgps_0.2.1-7
cwidget_0.5.16-3
cyrus-sasl2_2.1.23.dfsg1-6
darcs_2.4.4-2
darkice_0.20.1-3
dash_0.5.5.1-7
db4.5_4.5.20-13.2
db4.6_4.6.21-16
db4.7_4.7.25-9
db4.8_4.8.30-2
dctrl-tools_2.14.1
ddns3-client_1.8-7
dealer_0.20040530-3
debian-installer_20100722
debianutils_3.4
dhcp3_3.1.3-2
diffpdf_1.1.4-1
diffutils_3.0-1
dime_0.20030921-2
docbook-to-man_1:2.0.0-28
doscan_0.3.1-3
dossizola_1.0-8.2
dovecot-antispam_1.2+20090702-1
dpkg_1.15.8.4
dvblast_1.2-1
e2fsprogs_1.41.12-2
eboard_1.1.1-4.1
eglibc_2.11.2-5
ejabberd_2.1.5-1
ekiga_3.2.7-2
elementtidy_1.0-7
elinks_0.12~pre5-2
encfs_1.6.1-1
espeak_1.43.03-2
evolution-webcal_2.28.1-1
exempi_2.1.1-1
exim4_4.72-1
exiv2_0.20-2
expect_5.44.1.15-3
fastdep_0.16-13
fast-user-switch-applet_2.24.0-4
fetchmail_6.3.17-4
file_5.04-5
filters_2.46
findutils_4.4.2-1
firebird2.1_2.1.3.18185-0.ds1-11
firestarter_1.0.3-8
fkiss_0.35-1.1
floatbg_1.0-28
focal_1.0.1-1
font-manager_0.5.6-1
freefem_3.5.8-4.2
frox_0.7.18-4
fspanel_0.7-9
fsvs_1.1.17-1
fteqcc_3343+svn3400-2
fxload_0.0.20081013-1
g2_0.72-1
g3dviewer_0.2.99.5~svn130-1
gcc-4.1_4.1.2-29
gcin_1.4.6-3
gcolor2_0.4-2
gconf-editor_2.30.0-2
gdbm_1.8.3-9
gedit_2.30.3-1
geg_1.0.2-6
gelemental_1.2.0-4
gettext_0.18.1.1-1
gigolo_0.4.1-1
gimp-plugin-registry_3.5.1-1
gip_1.7.0-1-2
gkremldk_0.9.7-2
glabels_2.2.8-1
gle_3.1.0-7
glfw_2.6-2
gloox_1.0-1
glpk_4.43-1
glui_2.36-4
gnash_0.8.8-2
gnet_2.0.8-2
gnokii_0.6.29.dfsg-1
gnomint_1.1.0-1
gnubg_0.90+20091206-4
gnupg_1.4.10-4
gnuspool_1.7
gnustep-examples_1:1.2.0-3
gnutls26_2.8.6-1
goattracker_2.70-1
gocr_0.48-1
gpe-su_0.20-1
gpe-todo_0.58-1
gpm_1.20.4-3.3
gpx2shp_0.69-3
grads_2.0.a8-1
granule_1.3.0-1
grass_6.4.0~rc6+42329-1
grep_2.6.3-3
groff_1.20.1-10
gsl_1.14+dfsg-1
gtkboard_0.11pre0-12
gtk-theme-switch_2.1.0-2
gtools_2.6.2-1
gtweakui_0.4.0-2
guayadeque_0.2.5-2
gwaei_1.4.1-2
gzip_1.3.12-9
havp_0.91-1.1
hfsplus_1.0.4-12
hildon-theme-tools_0.5.2.debian.1-2
hmisc_3.8-2-1
hostname_3.04
hspell-gui_0.2.6-4.1
html2text_1.3.2a-15
icecc-monitor_2.0~svn951472-2
ifenslave-2.6_1.1.0-17
ifrit_3.3.2-1
ifupdown_0.6.10
igaelic_0.50-7
ii_1.4-3
imagination_2.1-2
infernal_1.0.2-1
inkscape_0.47.0-2
iproute_20100519-3
iptables_1.4.9-1
iputils_20100418-2
irda-utils_0.9.18-10
isc-dhcp_4.1.1-P1-9
itk3_3.3-2
iulib_0.3-1
jabberd14_1.6.1.1-5
jack-audio-connection-kit_1:0.118+svn3796-7
jclassinfo_0.19.1-5
jeex_12.0.3-1
jfbterm_0.4.7-8
kaptain_1:0.72-3
kazehakase_0.5.8-4
kbibtex_0.2.3.90-1
kcheckgmail_0.6.0-1
kde-style-polyester_2.0.0-3
kdetoys_4:4.4.5-1
kdevelop-php_1.0.1-1
keyutils_1.4-1
konversation_1.3.1-1
koules_1.4-18
kpicosim_0.7-1
krb5_1.8.3+dfsg~beta1-1
ktranslator_0.4-2
kvpnc_0.9.6a-2
kwin-style-dekorator_0.5.1-1
l2tpns_2.1.21-1.1
ledit_2.01-6
less_436-1
lfc_1.7.4.7-1
lftp_4.0.9-2
libapache-mod-chroot_0.5-7
libapache-mod-layout_5.1-1
libapache-mod-removeip_1.0b-5
libcache-fastmmap-perl_1.35-1
libcairo-ruby_1.8.1-1
libcap2_2.19-3
libcommoncpp2_1.7.3-1.1
libcomplearn-mod-ppmd_1.0.7-2
libcompress-raw-zlib-perl_2.030-1
libconvert-binary-c-perl_0.74-1
libdc0_0.3.23-1
libdecodeqr_0.9.3-4
libdnsres_0.1a-4
libdumb_1:0.9.3-5.1
libdvbpsi_0.1.7-1
libeatmydata_15-1
libedit_2.11-20080614-1
libept_1.0.3
libevent_1.4.13-stable-1
libextractor_1:0.5.23+dfsg-7
libfwbuilder_4.1.1-1
libgc_6.8-1.2
libgcrypt11_1.4.5-2
libgii_1:1.0.2-4
libglade2_1:2.6.4-1
libglpng_1.45-6
libgnome2-perl_1.042-2
libgpg-error_1.6-1
libgpod_0.7.93-0.3
libgssglue_0.1-4
libhttp-parser-xs-perl_0.07-1
libio-dirent-perl_0.04-2
libio-socket-multicast-perl_1.05-2
libircclient_1.3+dfsg1-3
libitext-java_2.1.7-2
libkinosearch-perl_0.165-2
libktoblzcheck_1.28-1
liblocale-gettext-perl_1.05-6
liblockfile_1.08-4
libmatroska_0.8.1-1.1
libmp3splt_0.5.6-1
libmpeg3_1.5.4-5
libmtp_1.0.3-1
libmusicbrainz-ruby_0.3.0-1
libnet-cups-perl_0.60-1
libnet-ssleay-perl_1.36-1
libnfsidmap_0.23-2
libnice_0.0.12-1
liboop_1.0-8
libosso_2.16.debian.1-1
libpadwalker-perl_1.92-1
libpam-krb5_4.3-1
libpango-perl_1.221-2
libparams-validate-perl_0.93-1
libperlio-eol-perl_0.14-1
libphysfs_2.0.1-2
libposix-strptime-perl_0.10-1
libreplaygain_1.0~r447-1
librpcsecgss_0.19-2
libsearch-xapian-perl_1.2.3.0-1
libselinux_2.0.96-1
libsepol_2.0.41-1
libservlet2.4-java_5.0.30-12
libshout_2.2.2-5
libsigc++-1.2_1.2.7-2
libsigc++-2.0_2.2.4.2-1
libstring-approx-perl_3.26-1
libsub-current-perl_0.02-1
libsvm-ruby_2.8.5-2
libtext-charwidth-perl_0.04-6
libtext-iconv-perl_1.7-2
libtunepimp_0.5.3-7.3
libunicode-map8-perl_0.13+dfsg-3
libunique_1.1.6-1
libusb_0.1.12-16
libvorbisfile-ruby_0.2-8.1
libwibble_0.1.26-1
libwpeditor-plus_1.0+svn926.debian-2
libwww-curl-perl_4.13-1
libxkbfile_1:1.0.6-2
libxml2_2.7.7.dfsg-4
libxtemplate-ruby1.8_0.8.0-5
libxxf86dga_2:1.1.1-2
libyaml-libyaml-perl_0.33-1
links2_2.3~pre1-1
linuxdoc-tools_0.9.66
logrotate_3.7.8-6
lsb_3.2-23.1
lsdvd_0.16-3
lsmbox_2.1.2-1
lsof_4.81.dfsg.1-1
lua-svn_0.4.0-2
luckybackup_0.4.1-3
lurker_2.3-1
m4_1.4.14-3
mailtextbody_0.1.2-1
makebootfat_1.4-4
man-db_2.5.7-4
mathtex_1.03-1
matrixssl_1.8.8-1
mawk_1.3.3-15
mboxgrep_0.7.9-1
mcl_1:10-148-1
mgcv_1.6-2-1
mini-httpd_1.19-9.2
miredo_1.2.3-1
mixer.app_1.8.0-4
mkcue_1-2.1
mlocate_0.22.2-1
mod-auth-mysql_4.3.9-13
module-init-tools_3.12-1
mozvoikko_1.0-5
mpfr_2.4.2-3
mpgtx_1.3.1-4
mpqc_2.3.1-6
mrwtoppm_0.1.1-2.2
muroard_0.1.0-2
musescore_0.9.6+dfsg-1
mutt_1.5.20-9
nano_2.2.5-1
ncompress_4.2.4.3-6
ncurses_5.7+20100313-2
ncview_1.93g-1
nec_2-16
nekobee_0.1.7-2
netcat_1.10-38
netkit-ftp_0.17-23
netkit-telnet_0.17-36
netperfmeter_1.0.4-1
netrek-client-cow_3.3.0-1
net-tools_1.60-23
newt_0.52.11-1
nfs-utils_1.2.2-4
ng-utils_0.7-1
norwegian_2.0.10-3.2
notification-daemon_0.5.0-2
notify-python_0.1.1-2
nsca_2.7.2
nxcl_0.9-3
oasis3_3.3.beta.dfsg.1-5
ocamlgsl_0.6.0-7
ocaml-text_0.3-1
ocaml-vorbis_0.5.1-1
ocrad_0.17-4
octave-ann_1.0.2+dfsg-2
octave-odepkg_0.6.10-1
octave-pdb_1.0.7-2
octave-signal_1.0.11-2
openjade_1.4devel1-19
openldap_2.4.23-4
openmovieeditor_0.0.20080102-2.3
openntpd_3.9p1+debian-5
openr2_1.3.0-2
openssh_5.5p1-5
openssl_0.9.8o-2
optipng_0.6.4-1
orbit2_1:2.14.18-0.1
oroborus_2.0.20
pam_1.1.1-6
pam-pkcs11_0.6.4-1
pan_0.133-1.1
pangomm_2.26.2-1
patch_2.6-2
patchage_0.4.4-1.2
pauker_1.8+dfsg-4
paw_1:2.14.04.dfsg.2-6
pcapy_0.10.6-2
pciutils_3.1.7-5
pcre3_8.02-1.1
perl_5.10.1-14
phaseshift_0.40-13.2
phonon_4:4.6.0really4.4.2-1
php-apc_3.1.3p1-2
pidgin-encryption_3.1-1
pidgin-hotkeys_0.2.4-1.1
pidgin-nateon_0.0.0.svn143-1
poa_2.0+20060928-2
poedit_1.4.2-5
popt_1.16-1
portmap_6.0.0-2
posh_0.8.6
posterazor_1.5.1-1
postgresql-8.4_8.4.4-2
postgresql-pljava_1.4.0-1.1
procmail_3.22-19
procps_3.2.8-9
pslib_0.4.3-1
pspresent_1.3-4
pwsafe_0.2.0-3
pyalsaaudio_0.5+svn36-1
pychm_0.8.4-1
pycurl_7.19.0-3
pymad_0.6-1.1
python3-stdlib-extensions_3.1.2-1
python-apt_0.7.97.1
python-gnutls_1.2.0-1
python-kde3_3.16.7-1
python-libpcap_0.6.2-0.1
python-multiprocessing_2.6.2.1-4
python-smbpasswd_1.0.1-1.2
qconf_1.4-1
qps_1.9.18.6-2.3
qrupdate_1.0.1-1
qsf_1.2.7-1
quesoglc_0.7.2-4
quiteinsanegimpplugin_0.3-9
ratbox-services_1.2.4-1
r-cran-haplo.stats_1.4.4-1
r-cran-mapproj_1.1-8.2-1
r-cran-mnp_2.6-1-2
r-cran-pscl_1.03.5-1
react_0.9.2-1
readline6_6.1-3
readseq_1-8
rep-gtk_1:0.90.0-2
rlog_1.4-1
rman_3.2-4
rnahybrid_2.1-2
robodoc_4.99.40-1
rquantlib_0.3.4-1
rserve_0.6-2-1
rsrce_0.2.2
rsyslog_4.6.4-1
sawfish_1:1.5.3-2
sbox-dtc_1.11.2-1
scanlogd_2.2.5-2.2
scheme48_1.8+dfsg-1
scim-thai_0.1.1-7
scite_2.03-1
scorched3d_43.1c.dfsg-2
sed_4.2.1-7
shadow_4.1.4.2+svn3283-1
shermans-aquarium_3.0.1-2
shisen.app_1.2.1-1
sibsim4_0.20-1
simpleparse_2.1.0a1-5
simulpic_1:2005-1-28-8
singular_3-0-4-3.dfsg-3.1
sipsak_0.9.6-2.1
slang2_2.2.2-4
smstools_3.1.11-1
snake4_1.0.12-11.1
sng_1.0.2-6
soundmodem_0.15-1
soya_0.15~rc1-3
space-orbit_1.01-10
sqlite3_3.7.2-1
stardict-tools_3.0.1-5
subcommander_2.0.0~b5p1-2
subunit_0.0.6-1
sudo_1.7.4p4-1
sugar-artwork-0.88_0.88.1-2
syrep_0.9-4
sysrqd_14-1
sysvinit_2.88dsf-12
tar_1.23-2.1
task_1.9.2-1
taxbird_0.15-1
tclap_1.2.0-1
tclreadline_2.1.0-10
tcp-wrappers_7.6.q-19
tcs_1-11
tetradraw_2.0.3-8.2
texinfo_4.13a.dfsg.1-5
thunar-volman_0.3.80-4
tiemu_3.02-1.1
tigr-glimmer_3.02-2
tilp2_1.12-1
tix_8.4.3-4
tokyocabinet_1.4.37-6
totem_2.30.2-2
traceroute_2.0.15-1
tseries_0.10-22-1
ttf-manchufont_2.007.svn0068-1
ttyrec_1.0.8-5
tulip_3.1.2-2.3
type-handling_0.2.23
udev_161-1
uni2ascii_4.14-3
unzip_6.0-4
upnp-router-control_0.1-1
uqwk_2.21-15
urwid_0.9.9.1-1
userv_1.0.5-0.2
util-linux_2.17.2-3.1
vamps_0.99.2-4
varconf_0.6.6-2
vim_7.3.000+hg~ee53a39d5896-1
vips_7.22.2-2
v-sim_3.5.1-1
vtprint_2.0.2-12
vxl_1.14.0-1
w3m_0.5.2-9
wacom-tools_0.8.3.2-1
weplab_0.1.5-2
wget_1.12-2.1
whichman_2.4-5
whois_5.0.7
wide-dhcpv6_20080615-8
wmmail_0.64-13.2
wmmoonclock_1.27-29
wmnetload_1.3-1.1
wmweather_2.4.5-1
wordgrinder_0.3.3-1
xacobeo_0.13-1
xapian-core_1.2.3-2
xbl_1.1.5-7
xbomb_2.1a-7.1
xbuffy_3.3.bl.3.dfsg-8
xdelta_1.1.3-9
xdg-user-dirs-gtk_0.8-1
xdms_1.3.2-3.1
xdx_2.4.2-3
xfce4-indicator-plugin_0.0.1-2
xfce4-xfapplet-plugin_0.1.0-3
xfe_1.32.1-4
xfm_1.5.4-2
xjadeo_0.4.13-1
xl2tpd_1.2.7+dfsg-1
xless_1.7-14
xprintidle_0.2-4
xqf_1.0.5-2
xwpe_1.5.30a-2.1
xxkb_1.11-2.1
xz-utils_4.999.9beta+20100810-1
yorick_2.1.06+dfsg-2
yorick-imutil_0.5.5-1
yorick-yao_4.5.1-1
ytree_1.94-1
zip_3.0-3
zlib_1.2.3.4.dfsg-3

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#519006; Package gcc-4.4. (Wed, 15 Sep 2010 05:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Wed, 15 Sep 2010 05:39:03 GMT) Full text and rfc822 format available.

Message #194 received at 519006@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: 519006@bugs.debian.org
Cc: debian-gcc@lists.debian.org, debian-mips@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#519006: mips/ld: non-dynamic relocations refer to dynamic symbol
Date: Wed, 15 Sep 2010 07:35:03 +0200
[Message part 1 (text/plain, inline)]
reassign 519006 binutils
tag 519006 + patch
forwarded 519006 http://sourceware.org/ml/binutils/2010-09/msg00216.html
thanks

On Tue, Sep 14, 2010 at 05:27:04PM +0200, Aurelien Jarno wrote:
> I have done a rebuilt of part of the archive using gcc-4.4 that defaults
> to -mplt. Unfortunately I don't have enough CPU power to rebuild the
> whole archive, so I have rebuilt all packages with priority >= important
> as well as 436 packages selected randomly with priority optional (see
> list below). I have got a few build failures but, not due to the -mplt
> change.
> 

Unfortunately we've just discovered that while this approach works for 
most of the cases, it doesn't work for all packages.

On the other hand the good news is that Maciej Rozycki has written a
patch for binutils which fixes the real issue. I have converted it to 
dpatch and attached to this mail. I have tested on a few packages that
currently fail because of this bug, and they now all build correctly.

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net
[156_pr10144.dpatch (text/plain, attachment)]

Bug reassigned from package 'gcc-4.4' to 'binutils'. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Wed, 15 Sep 2010 05:39:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions gcc-4.4/4.4.2-8. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Wed, 15 Sep 2010 05:39:07 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Wed, 15 Sep 2010 05:39:07 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'http://sourceware.org/ml/binutils/2010-09/msg00216.html' from 'http://gcc.gnu.org/bugzilla/show_bug.cgi?id=45387' Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. (Wed, 15 Sep 2010 05:39:08 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Wed, 15 Sep 2010 05:48:02 GMT) Full text and rfc822 format available.

Removed tag(s) help. Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Wed, 15 Sep 2010 05:48:05 GMT) Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Fri, 17 Sep 2010 23:36:03 GMT) Full text and rfc822 format available.

Notification sent to Peter De Schrijver <p2@debian.org>:
Bug acknowledged by developer. (Fri, 17 Sep 2010 23:36:04 GMT) Full text and rfc822 format available.

Message #211 received at 519006-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 519006-close@bugs.debian.org
Subject: Bug#519006: fixed in binutils 2.20.1-15
Date: Fri, 17 Sep 2010 23:32:33 +0000
Source: binutils
Source-Version: 2.20.1-15

We believe that the bug you reported is fixed in the latest version of
binutils, which is due to be installed in the Debian FTP archive:

binutils-dev_2.20.1-15_amd64.deb
  to main/b/binutils/binutils-dev_2.20.1-15_amd64.deb
binutils-dev_2.20.1-15_hppa.deb
  to main/b/binutils/binutils-dev_2.20.1-15_hppa.deb
binutils-doc_2.20.1-15_all.deb
  to main/b/binutils/binutils-doc_2.20.1-15_all.deb
binutils-gold_2.20.1-15_amd64.deb
  to main/b/binutils/binutils-gold_2.20.1-15_amd64.deb
binutils-hppa64_2.20.1-15_hppa.deb
  to main/b/binutils/binutils-hppa64_2.20.1-15_hppa.deb
binutils-multiarch_2.20.1-15_amd64.deb
  to main/b/binutils/binutils-multiarch_2.20.1-15_amd64.deb
binutils-multiarch_2.20.1-15_hppa.deb
  to main/b/binutils/binutils-multiarch_2.20.1-15_hppa.deb
binutils-source_2.20.1-15_all.deb
  to main/b/binutils/binutils-source_2.20.1-15_all.deb
binutils_2.20.1-15.diff.gz
  to main/b/binutils/binutils_2.20.1-15.diff.gz
binutils_2.20.1-15.dsc
  to main/b/binutils/binutils_2.20.1-15.dsc
binutils_2.20.1-15_amd64.deb
  to main/b/binutils/binutils_2.20.1-15_amd64.deb
binutils_2.20.1-15_hppa.deb
  to main/b/binutils/binutils_2.20.1-15_hppa.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 519006@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated binutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 17 Sep 2010 23:54:06 +0200
Source: binutils
Binary: binutils binutils-dev binutils-multiarch binutils-gold binutils-hppa64 binutils-spu binutils-doc binutils-source
Architecture: all amd64 hppa source 
Version: 2.20.1-15
Distribution: unstable
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Closes: 519006 588357 590101 597220
Description:
 binutils   - The GNU assembler, linker and binary utilities
 binutils-dev - The GNU binary utilities (BFD development files)
 binutils-doc - Documentation for the GNU assembler, linker and binary utilities
 binutils-gold - The (experimental) GNU gold linker utility
 binutils-hppa64 - The GNU assembler, linker and binary utilities targeted for hppa6
 binutils-multiarch - Binary utilities that support multi-arch targets
 binutils-source - The GNU assembler, linker and binary utilities (source)
 binutils-spu - The GNU assembler, linker and binary utilities targeted for spu-e
Changes:
 binutils (2.20.1-15) unstable; urgency=low
 .
   * Fix PR ld/10144, mips/ld: non-dynamic relocations refer to dynamic symbol
     (Aurelian Jarno). Closes: #519006.
   * Apply two patches from binutils experimental. Closes: #597220.
     - Link executables statically when `static' is passed in DEB_BUILD_OPTIONS
       (Jim Heck). Closes: #590101.
     - debian/rules: Introduce PF macros (Jim Heck). Closes: #588357.
   * Allow ar scripts to contain ~ in the filename (Zygmunt Krynicki, taken
     from Linaro). LP: #641488.
Checksums-Sha1: 
 019c9fb4c6581c863b2d85f87aa482c3263f1612 549142 binutils-doc_2.20.1-15_all.deb
 78a91c0844543907a1b3af4a2287bb5dacc640e2 1386 binutils-gold_2.20.1-15_amd64.deb
 814dadfc70fa8f96fc587c42b10e4029a3d7d4ae 1272284 binutils-hppa64_2.20.1-15_hppa.deb
 aaede8083c552a196d430a4c0ba9eb24ad60c2a0 3561240 binutils-dev_2.20.1-15_amd64.deb
 bb40e18734f9d55118705ce441e17c55acdb0411 2345384 binutils-multiarch_2.20.1-15_hppa.deb
 bce8faff478ea52038ed4d5324bc2dc34837b22c 3126680 binutils_2.20.1-15_hppa.deb
 c568d2afca472a930a2a6e84cf499e448d3547ca 2053762 binutils-multiarch_2.20.1-15_amd64.deb
 dcf10ff65e2e2470256fb973e9bc8f8140c7c82d 3027224 binutils-dev_2.20.1-15_hppa.deb
 e1657c6efa689887e954d38a2014381f6b14a862 16299682 binutils-source_2.20.1-15_all.deb
 ef520840a080e4318833c1a23d46d2d3de5d9a06 3993006 binutils_2.20.1-15_amd64.deb
 fa06592cee6081be9bd29cfcbba9f16842ca8db6 100481 binutils_2.20.1-15.diff.gz
 8b0096a134dfdfc729555b9ffb8ee9dd968cd76e 1286 binutils_2.20.1-15.dsc
Checksums-Sha256: 
 1091b24a4ef7a77f56b38a25401d51662fb7c49e0ac3dc12b5eba73b9e2f728e 100481 binutils_2.20.1-15.diff.gz
 1ca64f7bb56eba32823e64b559457fb74b32f8befedb37cc1eb36a54cfebcfbe 2053762 binutils-multiarch_2.20.1-15_amd64.deb
 2fe81963d7834bf96f94ee59be7b8c9d23e6ff91970bb4aace9701a57c7e5de2 16299682 binutils-source_2.20.1-15_all.deb
 3496f5a2550d6a57fab545620c80fcd9b50855bc2189e9f8b1c1dea3dbc26cd5 3561240 binutils-dev_2.20.1-15_amd64.deb
 470c6062d3fc42626825a36f38ecdce60fef31614f48bb91eede7c78beaa53ee 3027224 binutils-dev_2.20.1-15_hppa.deb
 4b4cc295861290424f0f978403953241b356575156546a8c2c715d3a72520a1d 1386 binutils-gold_2.20.1-15_amd64.deb
 911d0e3228525be1f2631a92cdd672cd3da92f86bf66b06ed8eb6781637c967d 549142 binutils-doc_2.20.1-15_all.deb
 b9e9e2784714edb70fab7191e65b597f8fa1c1e5638a2312a52a8eef28cb52b9 3993006 binutils_2.20.1-15_amd64.deb
 954e54a531d4f4a519c713bdbf8cc4cb713eab391125c6c7f339ee8153b385d2 1286 binutils_2.20.1-15.dsc
 c5e35c001957e9b9a0c607d9ab338c9e1e06063b4c80c4c8d2e250c31e26a56d 3126680 binutils_2.20.1-15_hppa.deb
 e1a21ecf95f900ca7c8fb0dd45ca68b82efb6235536960329a4e7b2a2bfd01de 1272284 binutils-hppa64_2.20.1-15_hppa.deb
 f4b45ec1d19dbd4f0ad539445d2f38cc4b3d2ee82e952ee942889ae50eee4e02 2345384 binutils-multiarch_2.20.1-15_hppa.deb
Files: 
 0e292134a4ddf826b13c784dbf023a30 1286 devel optional binutils_2.20.1-15.dsc
 49f504fe6e6b5766f444ea07ab80a186 3993006 devel optional binutils_2.20.1-15_amd64.deb
 4b1630d4d6c1533ae125feaf216795c3 3126680 devel optional binutils_2.20.1-15_hppa.deb
 5392e1a55f1fa9d984588ad52997fcdb 549142 doc optional binutils-doc_2.20.1-15_all.deb
 6bca09c307c1652d9a1e3896a27f9e20 2053762 devel extra binutils-multiarch_2.20.1-15_amd64.deb
 92089cd3d31390c8417863ccd216c760 2345384 devel extra binutils-multiarch_2.20.1-15_hppa.deb
 b8d750be23b9d855c5130f69814dbd3b 1386 devel extra binutils-gold_2.20.1-15_amd64.deb
 ba121f66410b8712d019fd18a3b3bd65 1272284 devel optional binutils-hppa64_2.20.1-15_hppa.deb
 e0924359ab8f41929e856857cd46943f 3561240 devel extra binutils-dev_2.20.1-15_amd64.deb
 f07fac9c56af61ed00cfd1ebb70df746 100481 devel optional binutils_2.20.1-15.diff.gz
 f32ed54881bd08a8de76fc06d7b74e79 3027224 devel extra binutils-dev_2.20.1-15_hppa.deb
 fbe9e71731f71c0135c52c63aa0eec43 16299682 devel optional binutils-source_2.20.1-15_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyT+Z0ACgkQStlRaw+TLJxyGACfUHoDw3L+NL1LKSMO90y0/mqo
JDsAoJDsQtBu4qN9x82Su/WYPvxb5bdK
=mowu
-----END PGP SIGNATURE-----





Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Sat, 25 Sep 2010 15:06:03 GMT) Full text and rfc822 format available.

Notification sent to Peter De Schrijver <p2@debian.org>:
Bug acknowledged by developer. (Sat, 25 Sep 2010 15:06:03 GMT) Full text and rfc822 format available.

Message #216 received at 519006-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 519006-close@bugs.debian.org
Subject: Bug#519006: fixed in binutils 2.20.51.20100925-1
Date: Sat, 25 Sep 2010 15:02:28 +0000
Source: binutils
Source-Version: 2.20.51.20100925-1

We believe that the bug you reported is fixed in the latest version of
binutils, which is due to be installed in the Debian FTP archive:

binutils-dev_2.20.51.20100925-1_i386.deb
  to main/b/binutils/binutils-dev_2.20.51.20100925-1_i386.deb
binutils-doc_2.20.51.20100925-1_all.deb
  to main/b/binutils/binutils-doc_2.20.51.20100925-1_all.deb
binutils-gold_2.20.51.20100925-1_i386.deb
  to main/b/binutils/binutils-gold_2.20.51.20100925-1_i386.deb
binutils-multiarch_2.20.51.20100925-1_i386.deb
  to main/b/binutils/binutils-multiarch_2.20.51.20100925-1_i386.deb
binutils-source_2.20.51.20100925-1_all.deb
  to main/b/binutils/binutils-source_2.20.51.20100925-1_all.deb
binutils_2.20.51.20100925-1.diff.gz
  to main/b/binutils/binutils_2.20.51.20100925-1.diff.gz
binutils_2.20.51.20100925-1.dsc
  to main/b/binutils/binutils_2.20.51.20100925-1.dsc
binutils_2.20.51.20100925-1_i386.deb
  to main/b/binutils/binutils_2.20.51.20100925-1_i386.deb
binutils_2.20.51.20100925.orig.tar.gz
  to main/b/binutils/binutils_2.20.51.20100925.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 519006@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated binutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 25 Sep 2010 16:24:20 +0200
Source: binutils
Binary: binutils binutils-dev binutils-multiarch binutils-gold binutils-hppa64 binutils-spu binutils-doc binutils-source
Architecture: source all i386
Version: 2.20.51.20100925-1
Distribution: experimental
Urgency: low
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 binutils   - The GNU assembler, linker and binary utilities
 binutils-dev - The GNU binary utilities (BFD development files)
 binutils-doc - Documentation for the GNU assembler, linker and binary utilities
 binutils-gold - The (experimental) GNU gold linker utility
 binutils-hppa64 - The GNU assembler, linker and binary utilities targeted for hppa6
 binutils-multiarch - Binary utilities that support multi-arch targets
 binutils-source - The GNU assembler, linker and binary utilities (source)
 binutils-spu - The GNU assembler, linker and binary utilities targeted for spu-e
Closes: 519006
Changes: 
 binutils (2.20.51.20100925-1) experimental; urgency=low
 .
   * Snapshot, taken from the trunk 20100925.
   * Fix PR ld/10144, mips/ld: non-dynamic relocations refer to dynamic symbol
     Closes: #519006.
Checksums-Sha1: 
 c7fc4462e180fdb7f495acd2c79b67f7f9694f33 1490 binutils_2.20.51.20100925-1.dsc
 1f8bd0b60221517985f97bba8fc322f19a1edd69 22253697 binutils_2.20.51.20100925.orig.tar.gz
 5c5eeef9619d64db038bd2235d766803bc5d071c 57102 binutils_2.20.51.20100925-1.diff.gz
 964f4513fa39d5c4c018e076be7249e2aea38055 561454 binutils-doc_2.20.51.20100925-1_all.deb
 d3bcc27ab3d70fcb171060c2df532815c596ffb6 12987716 binutils-source_2.20.51.20100925-1_all.deb
 9f9c0e3470b6089b47bc3b5bb074bda839b600d3 4019046 binutils_2.20.51.20100925-1_i386.deb
 469fbb5b5a006337bc52e06e397596ca0d705464 3574290 binutils-dev_2.20.51.20100925-1_i386.deb
 02d6dc3605ef5ae950d8203d8f2a807a95eee3b6 2039500 binutils-multiarch_2.20.51.20100925-1_i386.deb
 9d4f8315a2bfad522ffc069044557dd300f49ef0 1392 binutils-gold_2.20.51.20100925-1_i386.deb
Checksums-Sha256: 
 7df9ae0a953e165eb83c74d3441157832587ebcd5f0b2dee7350203be25a246d 1490 binutils_2.20.51.20100925-1.dsc
 528d14bf1c1cc8b5f8f6cbc7c7ff6d4a4c0ba5867eb9abe88d8e5d508fc81c7e 22253697 binutils_2.20.51.20100925.orig.tar.gz
 1402a1b916bc6f3a22f4e2c4bbb5ddf7220d66cc5fad0b3683f17eb745b861d5 57102 binutils_2.20.51.20100925-1.diff.gz
 7a357d19f2b549ac8079e257ab1a68c3b54c73842a8da85a44b2501e72b53b56 561454 binutils-doc_2.20.51.20100925-1_all.deb
 128f1d5c40b54b874722074008bf266aa7ddcac0b9058a51edaedb66d16524e8 12987716 binutils-source_2.20.51.20100925-1_all.deb
 96202674246839723d7f508a9e214ee68a63abf49b97b3e808c2c5d5e6e74f6e 4019046 binutils_2.20.51.20100925-1_i386.deb
 d5d7f083a03cd67c38741b3c50e0333455bc27eb92376feb2e8c3da4d192ef56 3574290 binutils-dev_2.20.51.20100925-1_i386.deb
 17a6baca788ba224dc1f96df668415379ef166c77dce161cbbb086b75f3e981f 2039500 binutils-multiarch_2.20.51.20100925-1_i386.deb
 006347305b7143dc75c7939ffb19d2ec6567cd3ed61cfe296e73ea94e9fd7637 1392 binutils-gold_2.20.51.20100925-1_i386.deb
Files: 
 8ce61c521834f9d15ba9fed9831761e7 1490 devel optional binutils_2.20.51.20100925-1.dsc
 5b8b0a988e2ff9786444ffdc10aff381 22253697 devel optional binutils_2.20.51.20100925.orig.tar.gz
 0f646e7ef27ed4b1d49b6d42231c3109 57102 devel optional binutils_2.20.51.20100925-1.diff.gz
 f0cbfdb0baae5f7073a54ee8d5ac2b73 561454 doc optional binutils-doc_2.20.51.20100925-1_all.deb
 ffc33f7c1707487579b666d69160dead 12987716 devel optional binutils-source_2.20.51.20100925-1_all.deb
 44399261931d777aef135172b4e845cf 4019046 devel optional binutils_2.20.51.20100925-1_i386.deb
 a8fbd8d184ae1dd34dca466a7819ae64 3574290 devel extra binutils-dev_2.20.51.20100925-1_i386.deb
 f1a61d4347ba6fde8932c61f45089563 2039500 devel extra binutils-multiarch_2.20.51.20100925-1_i386.deb
 0fb4e6b22278fc0c63f80aef2869d5b4 1392 devel extra binutils-gold_2.20.51.20100925-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyeCqUACgkQStlRaw+TLJzNjACeNK/WR1ysUyiMllri+FXRw4PN
fzgAniuV+FZ0UqfLzDA6iHuR4wCCD8VO
=PW0l
-----END PGP SIGNATURE-----





Forcibly Merged 519006 599974. Request was from Andreas Metzler <ametzler@downhill.at.eu.org> to control@bugs.debian.org. (Thu, 14 Oct 2010 17:15:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 12 Nov 2010 07:30:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 08:13:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.